io.vertx.rxjava3.core.dns

## Class MxRecord

- java.lang.Object
- - io.vertx.rxjava3.core.dns.MxRecord

-     public class MxRecord
      extends Object

  Represent a Mail-Exchange-Record (MX) which was resolved for a domain.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MxRecord>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MxRecord(MxRecord delegate)`
    `MxRecord(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `MxRecord` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `name()` The name of the MX record
    `static MxRecord` | `newInstance(MxRecord arg)`
    `int` | `priority()` The priority of the MX record.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MxRecord> __TYPE_ARG

  - ### Constructor Detail

    - #### MxRecord

          public MxRecord(MxRecord delegate)

    - #### MxRecord

          public MxRecord(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MxRecord getDelegate()

    - #### priority

          public int priority()

      The priority of the MX record.
      Returns:

    - #### name

          public String name()

      The name of the MX record
      Returns:

    - #### newInstance

          public static MxRecord newInstance(MxRecord arg)

Copyright © 2024 Eclipse. All rights reserved.